
ChiliProject - Feature # 915: default bundle install installs old pg version

Status: Closed Priority: Normal
Author: Dies Koper Category: Libraries
Created: 2012-03-01 Assignee: Felix Schäfer
Updated: 2012-03-01 Due date:
Remote issue URL:
Affected version: 3.0.0
Description: The following command installs an old pg version:

 bundle install --without=test sqlite mysql2 mysql openid rmagick

This is due to Gemfile having "~> 0.9.0" (i.e. 0.9.x).
pg is up to 0.13.x now.
I've run the cp tests on 0.13.1 with no failures.
Please consider updating the pg version.

Felix noted the reason 0.9.0 was picked was "because it was the last version to support ruby 
1.8.6":https://www.chiliproject.org/boards/1/topics/1188?r=1226#message-1226.

<pre>
diff --git a/Gemfile b/Gemfile
index 6ec56e2..0ef4d19 100644
--- a/Gemfile
+++ b/Gemfile
@@ -57,7 +57,7 @@ platforms :mri, :mingw do
   end

   group :postgres do
-    gem "pg", "~> 0.9.0"
+    gem "pg"
     #   gem "postgres-pr"
   end
 end
</pre>

Associated revisions
2008-03-27 08:27 pm - Jean-Philippe Lang 
Translation updates: (closes #915, #927, #929, #923, #914, #919)
* Japanese (Satoru Kurashiki)
* Simplified Chinese (chaoqun zou)
* Danish (kim madsen)
* Norwegian (Kai Olav Fredriksen)
* Traditional Chinese (shortie lo)
* German (Sven Schuchmann)

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1300 e93f8b46-1217-0410-a6f0-8f06a7374b81

2012-03-01 12:56 pm - Felix SchÃ¤fer 
Don't require a specific pg gem version #915

pg was locked to ~> 0.9.0 as it was the last version to support ruby 1.8.6, we don't support it officially anymore, thus we can remove the version 
requirement.
Contributed by Dies Koper.

History
2012-03-01 11:57 am - Felix Schäfer
Looks good to me and some quick testing didn't show anything askew. Committed in commit:900eda7, I'll close here when the CI has churned through 
it once. Thanks!

2012-03-01 09:46 pm - Felix Schäfer
- Status changed from Ready for review to Closed

The CI is good.
